View a markdown version of this page

GetAgentRuntime - Amazon Bedrock AgentCore Control Plane
Services or capabilities described in Amazon Web Services documentation might vary by Region. To see the differences applicable to the China Regions, see Getting Started with Amazon Web Services in China (PDF).

GetAgentRuntime

Gets an Amazon Bedrock AgentCore Runtime.

Request Syntax

GET /runtimes/agentRuntimeId/?version=agentRuntimeVersion HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

agentRuntimeId

The unique identifier of the AgentCore Runtime to retrieve.

Pattern: [a-zA-Z][a-zA-Z0-9_]{0,99}-[a-zA-Z0-9]{10}

Required: Yes

agentRuntimeVersion

The version of the AgentCore Runtime to retrieve.

Length Constraints: Minimum length of 1. Maximum length of 5.

Pattern: ([1-9][0-9]{0,4})

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "agentRuntimeArn": "string", "agentRuntimeArtifact": { ... }, "agentRuntimeId": "string", "agentRuntimeName": "string", "agentRuntimeVersion": "string", "allowedPorts": [ { ... } ], "authorizerConfiguration": { ... }, "capacityProviderConfiguration": { "capacityProviderArn": "string" }, "createdAt": "string", "description": "string", "environmentVariables": { "string" : "string" }, "failureReason": "string", "filesystemConfigurations": [ { ... } ], "hooksConfiguration": { "build": { "warmup": { "action": { ... } } } }, "lastUpdatedAt": "string", "lifecycleConfiguration": { "idleRuntimeSessionTimeout": number, "maxLifetime": number }, "metadataConfiguration": { "requireMMDSV2": boolean }, "networkConfiguration": { "networkMode": "string", "networkModeConfig": { "requireServiceS3Endpoint": boolean, "securityGroups": [ "string" ], "subnets": [ "string" ] } }, "platformVersion": "string", "protocolConfiguration": { "path": "string", "port": number, "serverProtocol": "string" }, "requestHeaderConfiguration": { ... }, "resourceConfigurations": [ { "minimumMemoryInMiB": number } ], "roleArn": "string", "status": "string", "workloadIdentityDetails": { "workloadIdentityArn": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

agentRuntimeArn

The Amazon Resource Name (ARN) of the AgentCore Runtime.

Type: String

Pattern: arn:aws(-[^:]+)?:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:runtime/[a-zA-Z][a-zA-Z0-9_]{0,47}-[a-zA-Z0-9]{10}

agentRuntimeArtifact

The artifact of the AgentCore Runtime.

Type: AgentRuntimeArtifact object

Note: This object is a Union. Only one member of this object can be specified or returned.

agentRuntimeId

The unique identifier of the AgentCore Runtime.

Type: String

Pattern: [a-zA-Z][a-zA-Z0-9_]{0,99}-[a-zA-Z0-9]{10}

agentRuntimeName

The name of the AgentCore Runtime.

Type: String

Pattern: [a-zA-Z][a-zA-Z0-9_]{0,47}

agentRuntimeVersion

The version of the AgentCore Runtime.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 5.

Pattern: ([1-9][0-9]{0,4})

allowedPorts

The additional ports on the AgentCore Runtime that are reachable through the runtime's session URL.

Type: Array of AllowedPort objects

Array Members: Minimum number of 1 item. Maximum number of 5 items.

authorizerConfiguration

The authorizer configuration for the AgentCore Runtime.

Type: AuthorizerConfiguration object

Note: This object is a Union. Only one member of this object can be specified or returned.

capacityProviderConfiguration

The capacity provider configuration for the AgentCore Runtime.

Type: CapacityProviderConfiguration object

createdAt

The timestamp when the AgentCore Runtime was created.

Type: Timestamp

description

The description of the AgentCore Runtime.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 4096.

environmentVariables

Environment variables set in the AgentCore Runtime environment.

Type: String to string map

Map Entries: Minimum number of 0 items. Maximum number of 50 items.

Key Length Constraints: Minimum length of 1. Maximum length of 100.

Value Length Constraints: Minimum length of 0. Maximum length of 5000.

failureReason

The reason for failure if the AgentCore Runtime is in a failed state.

Type: String

filesystemConfigurations

The filesystem configurations mounted into the AgentCore Runtime.

Type: Array of FilesystemConfiguration objects

Array Members: Minimum number of 0 items. Maximum number of 5 items.

hooksConfiguration

The lifecycle hooks configuration for the AgentCore Runtime.

Type: RuntimeHooksConfiguration object

lastUpdatedAt

The timestamp when the AgentCore Runtime was last updated.

Type: Timestamp

lifecycleConfiguration

The life cycle configuration for the AgentCore Runtime.

Type: LifecycleConfiguration object

metadataConfiguration

Configuration for microVM Metadata Service (MMDS) settings for the AgentCore Runtime.

Type: RuntimeMetadataConfiguration object

networkConfiguration

The network configuration for the AgentCore Runtime.

Type: NetworkConfiguration object

platformVersion

The version of the runtime platform used by the AgentCore Runtime.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [^\s]+

protocolConfiguration

The protocol configuration for the AgentCore Runtime, including the protocol, port, and path on which the agent server is available.

Type: ProtocolConfiguration object

requestHeaderConfiguration

Configuration for HTTP request headers that will be passed through to the runtime.

Type: RequestHeaderConfiguration object

Note: This object is a Union. Only one member of this object can be specified or returned.

resourceConfigurations

The resource configurations for the AgentCore Runtime.

Type: Array of ResourceConfiguration objects

Array Members: Minimum number of 0 items. Maximum number of 1 item.

roleArn

The IAM role ARN that provides permissions for the AgentCore Runtime.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: arn:aws(-[^:]+)?:iam::([0-9]{12})?:role/.+

status

The current status of the AgentCore Runtime.

Type: String

Valid Values: CREATING | CREATE_FAILED | UPDATING | UPDATE_FAILED | READY | DELETING | DELETE_FAILED

workloadIdentityDetails

The workload identity details for the AgentCore Runtime.

Type: WorkloadIdentityDetails object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific Amazon SDKs, see the following: